## r-cran-sys 2.1

=== DESCRIPTION ===
Package: sys
Type: Package
Title: Powerful and Reliable Tools for Running System Commands in R
Version: 2.1
Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), 
      email = "jeroen@berkeley.edu", comment = c(ORCID = "0000-0002-4035-0289")),
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = "ctb"))
Description: Drop-in replacements for the base system2() function with fine control
    and consistent behavior across platforms. Supports clean interruption, timeout, 
    background tasks, and streaming STDIN / STDOUT / STDERR over binary or text 
    connections. Arguments on Windows automatically get encoded and quoted to work on different 
    locales. On Unix platforms the package also provides functions for evaluating 
    expressions inside a temporary fork. Such evaluations have no side effects on the
    main R process, and support reliable interrupts and timeouts. This provides the
    basis for a sandboxing mechanism.
License: MIT + file LICENSE
URL: https://github.com/jeroen/sys#readme
BugReports: https://github.com/jeroen/sys/issues
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.0
SystemRequirements: libapparmor-dev (optional, debian/ubuntu only)
Suggests: spelling, unix (>= 1.3), testthat
Language: en-US
NeedsCompilation: yes
Packaged: 2018-11-12 23:02:23 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  Gábor Csárdi [ctb]
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2018-11-13 08:50:03 UTC

=== debian/changelog ===
r-cran-sys (2.1-1) unstable; urgency=medium

  * Initial release (closes: #919984)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Jan 2019 11:29:42 +0100

=== debian/control ===
Source: r-cran-sys
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sys
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sys.git
Homepage: https://cran.r-project.org/package=sys

Package: r-cran-sys
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Powerful and Reliable Tools for Running System Commands in GNU R
 Drop-in replacements for the base system2() function with fine control
 and consistent behavior across platforms. Supports clean interruption,
 timeout, background tasks, and streaming STDIN / STDOUT / STDERR over
 binary or text connections. Arguments on Windows automatically get
 encoded and quoted to work on different locales. On Unix platforms the
 package also provides functions for evaluating expressions inside a
 temporary fork. Such evaluations have no side effects on the main R
 process, and support reliable interrupts and timeouts. This provides the
 basis for a sandboxing mechanism.

## r-cran-sys 3.2

=== debian/changelog ===
r-cran-sys (3.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jul 2019 08:04:45 +0200

## r-cran-sys 3.3

=== DESCRIPTION ===
Package: sys
Type: Package
Title: Powerful and Reliable Tools for Running System Commands in R
Version: 3.3
Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), 
      email = "jeroen@berkeley.edu", comment = c(ORCID = "0000-0002-4035-0289")),
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = "ctb"))
Description: Drop-in replacements for the base system2() function with fine control
    and consistent behavior across platforms. Supports clean interruption, timeout, 
    background tasks, and streaming STDIN / STDOUT / STDERR over binary or text 
    connections. Arguments on Windows automatically get encoded and quoted to work 
    on different locales.
License: MIT + file LICENSE
URL: https://github.com/jeroen/sys
BugReports: https://github.com/jeroen/sys/issues
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
Suggests: unix (>= 1.4), spelling, testthat
Language: en-US
NeedsCompilation: yes
Packaged: 2019-08-21 11:45:42 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  Gábor Csárdi [ctb]
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2019-08-21 14:20:02 UTC

=== debian/changelog ===
r-cran-sys (3.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 10 Sep 2019 07:52:57 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sys
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sys.git
 Homepage: https://cran.r-project.org/package=sys

## r-cran-sys 3.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: sys
 Type: Package
 Title: Powerful and Reliable Tools for Running System Commands in R
-Version: 3.3
+Version: 3.4
 Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), 
       email = "jeroen@berkeley.edu", comment = c(ORCID = "0000-0002-4035-0289")),
     person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = "ctb"))
@@ -15,13 +15,13 @@
 BugReports: https://github.com/jeroen/sys/issues
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.1
 Suggests: unix (>= 1.4), spelling, testthat
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2019-08-21 11:45:42 UTC; jeroen
+Packaged: 2020-07-22 19:23:54 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Gábor Csárdi [ctb]
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2019-08-21 14:20:02 UTC
+Date/Publication: 2020-07-23 04:30:02 UTC

=== debian/changelog ===
r-cran-sys (3.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 08 Sep 2020 11:06:21 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sys
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sys.git
 Homepage: https://cran.r-project.org/package=sys
+Rules-Requires-Root: no
 
 Package: r-cran-sys
 Architecture: any

## r-cran-sys 3.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: sys
 Type: Package
 Title: Powerful and Reliable Tools for Running System Commands in R
-Version: 3.4
+Version: 3.4.1
 Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), 
       email = "jeroen@berkeley.edu", comment = c(ORCID = "0000-0002-4035-0289")),
     person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = "ctb"))
@@ -14,14 +14,13 @@
 URL: https://github.com/jeroen/sys
 BugReports: https://github.com/jeroen/sys/issues
 Encoding: UTF-8
-LazyData: true
 RoxygenNote: 7.1.1
 Suggests: unix (>= 1.4), spelling, testthat
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2020-07-22 19:23:54 UTC; jeroen
+Packaged: 2022-10-18 09:37:11 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Gábor Csárdi [ctb]
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2020-07-23 04:30:02 UTC
+Date/Publication: 2022-10-18 12:40:02 UTC

=== debian/changelog ===
r-cran-sys (3.4.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 04 Nov 2022 14:18:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-sys
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sys
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sys.git
+Homepage: https://cran.r-project.org/package=sys
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sys
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sys.git
-Homepage: https://cran.r-project.org/package=sys
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-sys
 Architecture: any

## r-cran-sys 3.4.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: sys
 Type: Package
 Title: Powerful and Reliable Tools for Running System Commands in R
-Version: 3.4.1
+Version: 3.4.2
 Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), 
       email = "jeroen@berkeley.edu", comment = c(ORCID = "0000-0002-4035-0289")),
     person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = "ctb"))
@@ -11,16 +11,16 @@
     connections. Arguments on Windows automatically get encoded and quoted to work 
     on different locales.
 License: MIT + file LICENSE
-URL: https://github.com/jeroen/sys
+URL: https://jeroen.r-universe.dev/sys
 BugReports: https://github.com/jeroen/sys/issues
 Encoding: UTF-8
 RoxygenNote: 7.1.1
 Suggests: unix (>= 1.4), spelling, testthat
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2022-10-18 09:37:11 UTC; jeroen
+Packaged: 2023-05-22 21:45:03 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Gábor Csárdi [ctb]
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2022-10-18 12:40:02 UTC
+Date/Publication: 2023-05-23 07:50:02 UTC

=== debian/changelog ===
r-cran-sys (3.4.2-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 28 Jun 2023 14:40:58 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sys
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sys.git
 Homepage: https://cran.r-project.org/package=sys
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-sys 3.4.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: sys
 Type: Package
 Title: Powerful and Reliable Tools for Running System Commands in R
-Version: 3.4.2
+Version: 3.4.3
 Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), 
-      email = "jeroen@berkeley.edu", comment = c(ORCID = "0000-0002-4035-0289")),
+      email = "jeroenooms@gmail.com", comment = c(ORCID = "0000-0002-4035-0289")),
     person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = "ctb"))
 Description: Drop-in replacements for the base system2() function with fine control
     and consistent behavior across platforms. Supports clean interruption, timeout, 
@@ -18,9 +18,9 @@
 Suggests: unix (>= 1.4), spelling, testthat
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2023-05-22 21:45:03 UTC; jeroen
+Packaged: 2024-10-03 14:13:17 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Gábor Csárdi [ctb]
-Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
+Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-05-23 07:50:02 UTC
+Date/Publication: 2024-10-04 09:40:02 UTC

=== debian/changelog ===
r-cran-sys (3.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 10 Oct 2024 08:50:39 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sys
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sys.git
 Homepage: https://cran.r-project.org/package=sys
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-spelling,
        r-cran-testthat
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/sys_([-\d.]*)\.tar\.gz
